Package org.apache.synapse.commons.crypto

# Interface CryptoConstants

public interface CryptoConstants
This is a interface to hold required constant values.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOUNCY_CASTLE_FIPS_PROVIDER`
  BouncyCastle FIPS provider "BCFIPS"
  `static final String`
  `BOUNCY_CASTLE_PROVIDER`
  BouncyCastleProvider "BC"
  `static final String`
  `CIPHER_ALGORITHM`
  `static final String`
  `CIPHER_ALGORITHM_DEFAULT`
  `static final String`
  `CIPHER_TYPE`
  Cipher type ('symmetric' or 'asymmetric')
  `static final String`
  `IDENTITY_KEY_PASSWORD`
  `static final String`
  `IDENTITY_KEY_STORE`
  `static final String`
  `IDENTITY_KEY_STORE_ALIAS`
  `static final String`
  `IDENTITY_KEY_STORE_PARAMETERS`
  `static final String`
  `IDENTITY_KEY_STORE_PASSWORD`
  `static final String`
  `IDENTITY_KEY_STORE_TYPE`
  `static final String`
  `IDENTITY_KEY_STORE_USER_NAME`
  `static final String`
  `IDENTITY_KEY_USER_NAME`
  `static final String`
  `INPUT_ENCODE_TYPE`
  encode type of the given value to be encoded
  `static final String`
  `OUTPUT_ENCODE_TYPE`
  encode type of the final outcome.
  `static final String`
  `PROPERTIES_FILE_PATH_DEFAULT`
  `static final String`
  `SECUREVAULT_ALIAS_ATTRIBUTE`
  Secure vault alias attribute name.
  `static final String`
  `SECUREVAULT_NAMESPACE`
  Secure vault namespace to be used when resolving axis2 config passwords.
  `static final String`
  `SECURITY_PROVIDER`
  Security provider, can use providers like BouncyCastle.

- ## Field Details

  - ### IDENTITY_KEY_STORE

    static final String IDENTITY_KEY_STORE
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_STORE_USER_NAME

    static final String IDENTITY_KEY_STORE_USER_NAME
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_STORE_PASSWORD

    static final String IDENTITY_KEY_STORE_PASSWORD
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_STORE_ALIAS

    static final String IDENTITY_KEY_STORE_ALIAS
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_STORE_TYPE

    static final String IDENTITY_KEY_STORE_TYPE
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_STORE_PARAMETERS

    static final String IDENTITY_KEY_STORE_PARAMETERS
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_USER_NAME

    static final String IDENTITY_KEY_USER_NAME
    See Also:
      - Constant Field Values

  - ### IDENTITY_KEY_PASSWORD

    static final String IDENTITY_KEY_PASSWORD
    See Also:
      - Constant Field Values

  - ### CIPHER_ALGORITHM

    static final String CIPHER_ALGORITHM
    See Also:
      - Constant Field Values

  - ### CIPHER_ALGORITHM_DEFAULT

    static final String CIPHER_ALGORITHM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PROPERTIES_FILE_PATH_DEFAULT

    static final String PROPERTIES_FILE_PATH_DEFAULT
    See Also:
      - Constant Field Values

  - ### CIPHER_TYPE

    static final String CIPHER_TYPE
    Cipher type ('symmetric' or 'asymmetric')
    See Also:
      - Constant Field Values

  - ### SECURITY_PROVIDER

    static final String SECURITY_PROVIDER
    Security provider, can use providers like BouncyCastle.
    See Also:
      - Constant Field Values

  - ### INPUT_ENCODE_TYPE

    static final String INPUT_ENCODE_TYPE
    encode type of the given value to be encoded
    See Also:
      - Constant Field Values

  - ### OUTPUT_ENCODE_TYPE

    static final String OUTPUT_ENCODE_TYPE
    encode type of the final outcome.
    See Also:
      - Constant Field Values

  - ### BOUNCY_CASTLE_PROVIDER

    static final String BOUNCY_CASTLE_PROVIDER
    BouncyCastleProvider "BC"
    See Also:
      - Constant Field Values

  - ### BOUNCY_CASTLE_FIPS_PROVIDER

    static final String BOUNCY_CASTLE_FIPS_PROVIDER
    BouncyCastle FIPS provider "BCFIPS"
    See Also:
      - Constant Field Values

  - ### SECUREVAULT_NAMESPACE

    static final String SECUREVAULT_NAMESPACE
    Secure vault namespace to be used when resolving axis2 config passwords.
    See Also:
      - Constant Field Values

  - ### SECUREVAULT_ALIAS_ATTRIBUTE

    static final String SECUREVAULT_ALIAS_ATTRIBUTE
    Secure vault alias attribute name.
    See Also:
      - Constant Field Values